Get all transactions Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v2/transactions

This endpoint will return all transactions in the firm relevant to the user accessing them.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[account_uuids] string

    Filter by a comma separated list of account UUIDs.

  • filter[plan_uuids] string

    Filter by a comma separated list of plan UUIDs.

  • filter[sub_account_uuids] string

    Filter by a comma separated list of subaccount UUIDs.

  • filter[created_at] string

    Filter by created at date. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[updated_at] string

    Filter by updated at date. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[type] string

    Filter by type.

  • filter[sub_type] string

    Filter by subtype.

  • filter[amount] string

    Filter by amount. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[date] string

    Filter by date. Can use operands such as >=, <>, > and combine as a range by providing two values separated by comma.

  • filter[status] string

    Filter by status.

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [plan, subAccount, holding, transactionSchedule].

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, date]. Negative sign to denote DESC. Defaults to '-created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • sub_type string
      • amount integer
      • date string
      • notes string
      • status string
      • editable boolean
      • plan object
        Hide plan attributes Show plan attributes object
        • uuid string
        • created_at string
        • updated_at string
        • opened_at string
        • name string
        • type string
        • sub_type string
        • abstract_type string
        • policy_number string
        • proposal_reference string
        • status string
        • inactive_at string
        • inactive_reason string
        • agency_in_your_name boolean
        • agency_in_your_name_from string
        • originally_sold_by_firm boolean
        • under_advice boolean
        • visible_on_client_portal boolean
        • include_in_client_valuation boolean
        • show_on_joint boolean
        • shown_on_circles boolean
        • review_date string
        • on_panel boolean
        • is_group_scheme boolean
        • is_sub_group_scheme boolean
        • is_group_scheme_member boolean
        • advice_area string
        • main_account string
        • sub_accounts string
        • provider string
        • covers string
        • claims string
        • total_benefit_amount object
          Hide total_benefit_amount attributes Show total_benefit_amount attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • total_benefits object
          Hide total_benefits attributes Show total_benefits attributes object
          • critical_illness object
            Hide critical_illness attributes Show critical_illness attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
          • family_income_benefit object
            Hide family_income_benefit attributes Show family_income_benefit attributes object
            • amount object
              Hide amount attributes Show amount attributes object
              • example string
              • description string
            • formatted object
              Hide formatted attributes Show formatted attributes object
              • example string
              • description string
            • currency object
              Hide currency attributes Show currency attributes object
              • example string
              • description string
        • latest_valuations string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • valued_at string
        • original_valued_at string
        • client string
        • accounts string
        • seller string
        • linked_owners string
        • linked_plans string
        • visible_to_circles string
        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
        • cases string
        • tags string
        • is_wrap_product boolean
        • is_wrap_child boolean
        • wrap string
        • wrap_children string
        • linked_policy_numbers string
        • can_be_deleted string
        • contract_enquiry_account string
        • custom_fields string
        • external_references string
      • sub_account object
        Hide sub_account attributes Show sub_account attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • policy_number string
        • latest_valuation string
        • is_main_account boolean
        • active_portfolio string
        • statistics object
          Hide statistics attribute Show statistics attribute object
          • recent_growth integer
      • holding object
        Hide holding attributes Show holding attributes object
        • uuid string
        • created_at string
        • updated_at string
        • fund_name string
        • reference string
        • sector string
        • sedol string
        • isin string
        • citi string
        • units integer
        • unit_price object
          Hide unit_price attributes Show unit_price attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • unit_price_raw integer
        • purchase_price object
          Hide purchase_price attributes Show purchase_price attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • is_active boolean
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • sub_account string
        • external_references string
      • transaction_schedule object
        Hide transaction_schedule attributes Show transaction_schedule attributes object
        • uuid string
        • created_at string
        • updated_at string
        • plan string
        • sub_account string
        • holding string
        • account string
        • provider string
        • provider_controlled boolean
        • type string
        • sub_type string
        • amount object
          Hide amount attributes Show amount attributes object
          • amount string
          • currency string
          • formatted string
        • frequency string
        • start_date string
        • end_date string
        • next_transaction_date string
        • paused_until string
GET /api/v2/transactions
curl \
 --request GET 'https://api.plannrcrm.com/api/v2/transactions' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "05553e37-d82b-471d-8e96-ea840de94cf7",
        "created_at": "2026-06-08T16:08:04+01:00",
        "updated_at": "2026-06-08T16:08:04+01:00",
        "type": "transfer",
        "sub_type": "consolidations",
        "amount": 10000,
        "date": "2026-06-08",
        "notes": "My interesting note",
        "status": "Completed",
        "editable": true,
        "plan": {
          "uuid": "49eab56c-2e8c-41bb-8216-71bf8894530b",
          "created_at": "2026-06-08T16:08:04+01:00",
          "updated_at": "2026-06-08T16:08:04+01:00",
          "opened_at": "2026-06-08T16:08:04+01:00",
          "name": "Johns ISA",
          "type": "cash_account",
          "sub_type": "lifetime isa",
          "abstract_type": "asset",
          "policy_number": "AVIVA-123",
          "proposal_reference": "AB123456",
          "status": "inactive",
          "inactive_at": "2026-06-08T16:08:04+01:00",
          "inactive_reason": "claimed",
          "agency_in_your_name": true,
          "agency_in_your_name_from": "2025-06-08",
          "originally_sold_by_firm": true,
          "under_advice": true,
          "visible_on_client_portal": true,
          "include_in_client_valuation": true,
          "show_on_joint": true,
          "shown_on_circles": true,
          "review_date": "2025-06-08",
          "on_panel": true,
          "is_group_scheme": false,
          "is_sub_group_scheme": false,
          "is_group_scheme_member": false,
          "advice_area": "non_investment_insurance",
          "main_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
          "sub_accounts": "App\\Http\\Resources\\Plans\\SubAccountResource",
          "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
          "covers": "App\\Http\\Resources\\Plans\\CoverResource",
          "claims": "App\\Http\\Resources\\Plans\\ClaimResource",
          "total_benefit_amount": {
            "amount": {
              "example": "25000000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£250,000.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "total_benefits": {
            "critical_illness": {
              "amount": {
                "example": "15000000",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£150,000.00",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            },
            "family_income_benefit": {
              "amount": {
                "example": "10000000",
                "description": "Money amount at their lowest denominator (for example: pennies)"
              },
              "formatted": {
                "example": "£100,000.00",
                "description": "Money amount formatted with currency"
              },
              "currency": {
                "example": "GBP",
                "description": "Currency of the money"
              }
            }
          },
          "latest_valuations": "App\\Http\\Resources\\Plans\\ValuationResource",
          "value": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "valued_at": "2026-06-08T16:08:04+01:00",
          "original_valued_at": "2026-06-07T16:08:04+01:00",
          "client": "App\\Http\\Resources\\AccountResource",
          "accounts": "App\\Http\\Resources\\AccountResource",
          "seller": "App\\Http\\Resources\\AccountResource",
          "linked_owners": "App\\Http\\Resources\\AccountResource",
          "linked_plans": "App\\Http\\Resources\\Plans\\PlanResource",
          "visible_to_circles": "App\\Http\\Resources\\CircleResource",
          "statistics": {
            "recent_growth": 100
          },
          "cases": "App\\Http\\Resources\\CasesResource",
          "tags": "App\\Http\\Resources\\TagResource",
          "is_wrap_product": false,
          "is_wrap_child": false,
          "wrap": "App\\Http\\Resources\\Plans\\PlanResource",
          "wrap_children": "App\\Http\\Resources\\Plans\\PlanResource",
          "linked_policy_numbers": "App\\Http\\Resources\\Plans\\LinkedPolicyNumberResource",
          "can_be_deleted": "false",
          "contract_enquiry_account": "App\\Http\\Resources\\AccountResource",
          "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "sub_account": {
          "uuid": "56e476d9-e85a-4057-a2d6-d7e19f994f41",
          "created_at": "2026-06-08T16:08:04+01:00",
          "updated_at": "2026-06-08T16:08:04+01:00",
          "name": "John's ISA",
          "policy_number": "AVI-4837",
          "latest_valuation": "App\\Http\\Resources\\Plans\\ValuationResource",
          "is_main_account": false,
          "active_portfolio": "App\\Http\\Resources\\Plans\\PortfolioResource",
          "statistics": {
            "recent_growth": 100
          }
        },
        "holding": {
          "uuid": "c5c2a4c6-2589-4afe-aeb7-8fefe2c136eb",
          "created_at": "2026-06-08T16:08:04+01:00",
          "updated_at": "2026-06-08T16:08:04+01:00",
          "fund_name": "Fund",
          "reference": "REF123",
          "sector": "Europe",
          "sedol": "ACB123",
          "isin": "ACB123",
          "citi": "ACB123",
          "units": 5,
          "unit_price": {
            "amount": {
              "example": "1000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£10.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "unit_price_raw": 10,
          "purchase_price": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "is_active": true,
          "value": {
            "amount": {
              "example": "4000",
              "description": "Money amount at their lowest denominator (for example: pennies)"
            },
            "formatted": {
              "example": "£40.00",
              "description": "Money amount formatted with currency"
            },
            "currency": {
              "example": "GBP",
              "description": "Currency of the money"
            }
          },
          "sub_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
          "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
        },
        "transaction_schedule": {
          "uuid": "89d60cb1-d822-43b7-9fc6-26bbe29c47ef",
          "created_at": "2026-06-08T16:08:04+01:00",
          "updated_at": "2026-06-08T16:08:04+01:00",
          "plan": "App\\Http\\Resources\\Plans\\PlanResource",
          "sub_account": "App\\Http\\Resources\\Plans\\SubAccountResource",
          "holding": "App\\Http\\Resources\\Plans\\HoldingResource",
          "account": "App\\Http\\Resources\\AccountResource",
          "provider": "App\\Http\\Resources\\Plans\\ProviderResource",
          "provider_controlled": true,
          "type": "contribution",
          "sub_type": "product_fees",
          "amount": {
            "amount": "1099",
            "currency": "GBP",
            "formatted": "£10.99"
          },
          "frequency": "monthly",
          "start_date": "2026-06-08",
          "end_date": "2027-06-08",
          "next_transaction_date": "2026-07-08",
          "paused_until": "2026-06-08T16:08:04+01:00"
        }
      }
    ]
  ]
}